export interface BasicQuestion {
  id: number;
  nr_pytania: number;
  pytanie: string;
  poprawna_odp: string;
  media: string | null;
  kategorie: string;
  nazwa_media_pjm_tresc_pyt: string | null;
  pytanie_eng: string;
  pytanie_de: string;
  pytanie_ua: string | null;
  liczba_pkt: number;
}

export interface AdvancedQuestion extends BasicQuestion {
  odp_a: string;
  odp_b: string;
  odp_c: string;
  nazwa_media_pjm_tresc_odp_a: string | null;
  nazwa_media_pjm_tresc_odp_b: string | null;
  nazwa_media_pjm_tresc_odp_c: string | null;
  odp_a_eng: string;
  odp_b_eng: string;
  odp_c_eng: string;
  odp_a_de: string;
  odp_b_de: string;
  odp_c_de: string;
  odp_a_ua: string | null;
  odp_b_ua: string | null;
  odp_c_ua: string | null;
}

export interface ResultType<T> {
  question: T | undefined;
  chosen_answer: string;
  chosen_is_correct: boolean | undefined;
  liczba_pkt: number | undefined;
}

export interface ResultEndType {
  basic: ResultType<BasicQuestion>[];
  advanced: ResultType<AdvancedQuestion>[];
}
